/*
 * control.h
 *
 *  Created on: 24.09.2012
 *      Author: wn
 */

#ifndef CONTROL_H_
#define CONTROL_H_

#include <stdint.h>



class Control {
public:
	Control(float p_rMin, float p_rMax, float p_kP, float p_kI, float p_kD);
	float cycle(float vDes, float vCur);
private:
	float m_rOld;
	float m_eOld;
	float m_eOld2;
	float m_rMin;
	float m_rMax;
	float m_kP;
	float m_kI;
	float m_kD;
};


#endif /* CONTROL_H_ */
